diff --git a/doc/reference/pidgin/pidgin-docs.xml b/doc/reference/pidgin/pidgin-docs.xml
--- a/doc/reference/pidgin/pidgin-docs.xml
+++ b/doc/reference/pidgin/pidgin-docs.xml
@@ -58,12 +58,14 @@
       <xi:include href="xml/pidginaccountsmenu.xml" />
       <xi:include href="xml/pidginaccountstore.xml" />
       <xi:include href="xml/pidginactiongroup.xml" />
+      <xi:include href="xml/pidginapplication.xml" />
       <xi:include href="xml/pidginattachment.xml" />
       <xi:include href="xml/pidginbuddylistmenu.xml" />
       <xi:include href="xml/pidgincellrendererexpander.xml" />
       <xi:include href="xml/pidginclosebutton.xml" />
       <xi:include href="xml/pidgincontactcompletion.xml" />
       <xi:include href="xml/pidginconversationwindow.xml" />
+      <xi:include href="xml/pidgincore.xml" />
       <xi:include href="xml/pidgindebug.xml" />
       <xi:include href="xml/pidgindialog.xml" />
       <xi:include href="xml/pidgingdkpixbuf.xml" />
@@ -78,6 +80,8 @@
       <xi:include href="xml/pidginpluginsmenu.xml" />
       <xi:include href="xml/pidginpresence.xml" />
       <xi:include href="xml/pidginpresenceicon.xml" />
+      <xi:include href="xml/pidginprotocolchooser.xml" />
+      <xi:include href="xml/pidginprotocolstore.xml" />
       <xi:include href="xml/pidginstock.xml" />
       <xi:include href="xml/pidginstylecontext.xml" />
       <xi:include href="xml/pidgintalkatu.xml" />
diff --git a/pidgin/pidginaccountfilterconnected.h b/pidgin/pidginaccountfilterconnected.h
--- a/pidgin/pidginaccountfilterconnected.h
+++ b/pidgin/pidginaccountfilterconnected.h
@@ -24,7 +24,7 @@
 #define PIDGIN_ACCOUNT_FILTER_CONNECTED_H
 
 /**
- * SECTION:pidginaccountfilterconnected
+ * SECTION: pidginaccountfilterconnected
  * @section_id: pidgin-account-filter-connected
  * @short_description: A GtkTreeModelFilter that displays connected accounts.
  * @title: Account Connected Filter
@@ -45,6 +45,8 @@
 
 /**
  * pidgin_account_filter_connected_new:
+ * @child_model: The #GtkTreeModel instance to filter.
+ * @root: The #GtkTreePath to start at or %NULL.
  *
  * Creates a new #PidginAccountFilterConnected that should be used to filter
  * only online accounts in a #PidginAccountStore.
diff --git a/pidgin/pidginaccountstore.h b/pidgin/pidginaccountstore.h
--- a/pidgin/pidginaccountstore.h
+++ b/pidgin/pidginaccountstore.h
@@ -38,10 +38,24 @@
 
 #include <purple.h>
 
+/**
+ * PidginAccountStoreColumn:
+ * @PIDGIN_ACCOUNT_STORE_COLUMN_ACCOUNT: This column holds a reference to the
+ *                                       #PurpleAccount.
+ * @PIDGIN_ACCOUNT_STORE_COLUMN_MARKUP: This column holds a pango markup to
+ *                                      display the account to the user.
+ * @PIDGIN_ACCOUNT_STORE_COLUMN_ICON: This column holds an icon in a #GdkPixbuf
+ *                                    for the account.
+ *
+ * Constants for accessing columns in a #PidginAccountStore.
+ *
+ * Since: 3.0.0
+ */
 typedef enum {
 	PIDGIN_ACCOUNT_STORE_COLUMN_ACCOUNT,
 	PIDGIN_ACCOUNT_STORE_COLUMN_MARKUP,
 	PIDGIN_ACCOUNT_STORE_COLUMN_ICON,
+	/*< private >*/
 	PIDGIN_ACCOUNT_STORE_N_COLUMNS,
 } PidginAccountStoreColumn;
 
diff --git a/pidgin/pidgincore.h b/pidgin/pidgincore.h
--- a/pidgin/pidgincore.h
+++ b/pidgin/pidgincore.h
@@ -26,10 +26,12 @@
 #ifndef PIDGIN_CORE_H
 #define PIDGIN_CORE_H
 /**
- * SECTION:core
- * @section_id: pidgin-core
+ * SECTION: pidgincore
+ * @section_id: pidgin-pidgincore
  * @short_description: <filename>pidgincore.h</filename>
  * @title: UI Definitions and Includes
+ *
+ * The very core of Pidgin.
  */
 
 #include <glib.h>
@@ -55,6 +57,11 @@
  It is not to be translated. */
 #define PIDGIN_NAME _("Pidgin")
 
+/**
+ * PIDGIN_ALERT_TITLE:
+ *
+ * The title that should be used for alert dialogs.
+ */
 #ifndef _WIN32
 # define PIDGIN_ALERT_TITLE ""
 #else
@@ -63,6 +70,8 @@
 
 /**
  * pidgin_start:
+ * @argc: The argc from main() (or 0 if argv is %NULL).
+ * @argv: The argv from main(), or %NULL.
  *
  * Start pidgin with the given command line arguments.
  */
diff --git a/pidgin/pidginprotocolstore.h b/pidgin/pidginprotocolstore.h
--- a/pidgin/pidginprotocolstore.h
+++ b/pidgin/pidginprotocolstore.h
@@ -41,10 +41,24 @@
 
 #include <purple.h>
 
+/**
+ * PidginProtocolStoreColumn:
+ * @PIDGIN_PROTOCOL_STORE_COLUMN_PROTOCOL: This column holds a reference to a
+ *                                         #PurpleProtocol.
+ * @PIDGIN_PROTOCOL_STORE_COLUMN_NAME: This column holds the name of the
+ *                                     protocol.
+ * @PIDGIN_PROTOCOL_STORE_COLUMN_ICON: This column holds a #GdkPixbuf of the
+ *                                     logo of the protocol.
+ *
+ * Constants for accessing columns in a #PidginProtocolStore.
+ *
+ * Since: 3.0.0
+ */
 typedef enum {
 	PIDGIN_PROTOCOL_STORE_COLUMN_PROTOCOL,
 	PIDGIN_PROTOCOL_STORE_COLUMN_NAME,
 	PIDGIN_PROTOCOL_STORE_COLUMN_ICON,
+	/*< private >*/
 	PIDGIN_PROTOCOL_STORE_N_COLUMNS,
 } PidginProtocolStoreColumn;
 
